Skip to main content
POST
Create Benefits Check
This endpoint supports idempotency keys
To verify benefits as a specific clinician or provider group instead of your contracted group, pass clinician_id or provider_group_id. See Creating a Benefit Check as a Specific Clinician or Group.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

idempotency-key
string

Unique key to prevent duplicate requests. We support keys up to 255 characters.

Required string length: 1 - 255

Body

application/json

Benefits Check Create Request Schema

patient_plan_id
string<uuid>
required

Patient Plan ID

specialties
enum<string>[]
required

List of specialties to create benefits check for

Available options:
PHYSICAL_THERAPY,
ABA_THERAPY,
SPEECH_THERAPY,
OCCUPATIONAL_THERAPY,
PSYCHOLOGICAL_TESTING,
HOME_HEALTH_CARE,
HOSPICE,
CARDIAC_REHABILITATION,
INTENSIVE_CARDIAC_REHABILITATION,
MENTAL_HEALTH,
PRINCIPAL_ILLNESS_NAVIGATION,
PRINCIPAL_CARE_MANAGEMENT,
ADVANCED_PRIMARY_CARE_MODELS,
PREVENTATIVE_HEALTH,
PARTIAL_HOSPITALIZATION_PROGRAM,
INTENSIVE_OUTPATIENT_PROGRAM,
INTERVENTIONAL_RADIOLOGY,
VASCULAR_SURGERY,
INTERVENTIONAL_CARDIOLOGY,
ORTHOPEDICS,
CHIROPRACTIC,
GYNECOLOGY,
LONG_TERM_CARE,
NUTRITIONAL_COUNSELING,
PHYSICAL_MEDICINE,
PULMONARY_REHABILITATION,
INJECTABLE_SPECIALTY_MEDICATIONS,
ALLERGY_TESTING,
SKILLED_NURSING,
RADIOLOGY,
OTOLARYNGOLOGY,
DURABLE_MEDICAL_EQUIPMENT,
DERMATOLOGY,
PROFESSIONAL_OFFICE_VISIT,
PSYCHIATRY,
PRIVATE_DUTY_NURSING,
NEUROLOGY
Example:
template_id
string<uuid> | null

Benefits Check Template ID

diagnosis_code_ids
string<uuid>[] | null

Diagnosis code IDs to attach to this benefits check. Use GET /diagnosis-codes to look up IDs by code. If not provided, the patient's diagnosis codes are used. If an empty list is sent, the benefits check is not verified against any diagnosis code, even if the patient has diagnosis codes on record. Diagnosis codes are only attached when benefits check diagnosis codes are enabled for the provider. When they are, a benefits check with different diagnosis codes is not treated as a duplicate of an existing benefits check for the same patient plan and specialty.

network_status_override
enum<string> | null

Override the network status for this benefits check. If provided, the benefits check will use this network status instead of determining it automatically.

Available options:
IN_NETWORK,
OUT_OF_NETWORK
procedure_group_ids
string<uuid>[] | null

Procedure group IDs defining the CPT codes this benefits check is verified against. Each procedure group must be configured for one of the requested specialties, and the benefits check template used for this request must allow procedure group selection. Use GET /procedure-groups to look up IDs, optionally by exact CPT codes. A benefits check with different procedure groups is not treated as a duplicate of an existing benefits check for the same patient plan and specialty.

clinician_id
string<uuid> | null

Clinician to verify benefits as. If provided, this clinician's NPI is used for eligibility requests and payor calls and portals instead of the contracted group. Cannot be combined with provider_group_id. Must be enabled for the provider. Use GET /clinicians to look up IDs.

provider_group_id
string<uuid> | null

Provider group to verify benefits as. If provided, this group's NPI and TIN are used for eligibility requests and payor calls and portals instead of the contracted group. Cannot be combined with clinician_id. Must be enabled for the provider. Use GET /provider-groups to look up IDs.

Response

Benefits Check Create Response Schema

benefits_check_ids
string<uuid>[]
required

List of created benefits check IDs